//
//  DMStateProgressIndicator.h
//  DevMateActivation
//
//  Created by Dmytro Tretiakov on 12/27/12.
//  Copyright (c) 2012 MacPaw Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#ifndef NS_ENUM
#define NS_ENUM(_type, _name) _type _name; enum
#endif

typedef NS_ENUM(NSInteger, DMProgressControlStyle)
{
    DMProgressGrayStyle = 0, // default
    DMProgressGreenStyle,
    DMProgressRedStyle
};

@interface DMProgressIndicator : NSView
{
@private
    CGLayerRef _patternLayer;
    
    DMProgressControlStyle controlStyle;
    CGFloat offsetPosition;
    NSTimer *animationTimer;
}

@property (nonatomic, assign) DMProgressControlStyle controlStyle;

- (void)startAnimation:(id)sender;
- (void)stopAnimation:(id)sender;

@end
